Issue with Latest GDB on AIX with GCC-6.12

Pedro Alves palves@redhat.com
Tue Feb 7 13:57:00 GMT 2017


On 02/07/2017 01:44 PM, David Edelsohn wrote:
> On Tue, Feb 7, 2017 at 5:30 AM, Pedro Alves <palves@redhat.com> wrote:
> 
>> Speaking of compilers, we know that building gdb with gcc 4.8.5
>> doesn't run into this.  Do we know that changed?  Did, for example,
>> AIX switch from sjlj to dwarf-based exceptions between gcc 4.8.5
>> and 6.1?  Might also be useful to try to build gdb with current
>> gcc trunk / gcc 7.
> 
> I cannot tell if some have reported that GCC 4.8.5 works correctly or not.

The OP said it works fine on GCC 4.8.5 here:

 https://sourceware.org/ml/gdb/2017-01/msg00044.html

Thanks,
Pedro Alves



More information about the Gdb mailing list